Package com.sap.ai.sdk.orchestration

# Enum Class AzureFilterThreshold

java.lang.Object
java.lang.Enum<AzureFilterThreshold>
com.sap.ai.sdk.orchestration.AzureFilterThreshold

All Implemented Interfaces:
  `Serializable`, `Comparable<AzureFilterThreshold>`, `Constable`

public enum AzureFilterThreshold extends Enum<AzureFilterThreshold>
An Enum wrapping Azure thresholds with readable names.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOW_ALL`
  All content is allowed.
  `ALLOW_SAFE`
  Only safe content is allowed.
  `ALLOW_SAFE_LOW`
  Safe and low-risk content is allowed.
  `ALLOW_SAFE_LOW_MEDIUM`
  Safe, low-risk, and medium-risk content is allowed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AzureThreshold`
  `getAzureThreshold()`
  `static AzureFilterThreshold`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AzureFilterThreshold[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALLOW_SAFE

    public static final AzureFilterThreshold ALLOW_SAFE
    Only safe content is allowed.

  - ### ALLOW_SAFE_LOW

    public static final AzureFilterThreshold ALLOW_SAFE_LOW
    Safe and low-risk content is allowed.

  - ### ALLOW_SAFE_LOW_MEDIUM

    public static final AzureFilterThreshold ALLOW_SAFE_LOW_MEDIUM
    Safe, low-risk, and medium-risk content is allowed.

  - ### ALLOW_ALL

    public static final AzureFilterThreshold ALLOW_ALL
    All content is allowed.

- ## Method Details

  - ### values

    public static AzureFilterThreshold[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AzureFilterThreshold valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAzureThreshold

    @Nonnull public AzureThreshold getAzureThreshold()